using AR;
using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FPJ0000.OtConfirm
{
    public partial class fOTConfirmValue : fBase
    {
        public fOTConfirmValue()
        {
            InitializeComponent();
        }

        private void fOTConfirmValue_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
        }

        private void btOK_Click(object sender, EventArgs e)
        {
            if (radInput.Checked)
            {
                if (checkBox1.Checked)
                {
                    var mv = (float)nudValue.Value;
                    if (mv == 0)
                    {
                        nudValue.Focus();
                        UTIL.MsgE("배수입력 상태입니다 0은 허용되지 않습니다");
                        return;
                    }
                }
                if (checkBox2.Checked)
                {
                    var mv = (float)nudValuePMS.Value;
                    if (mv == 0)
                    {
                        nudValuePMS.Focus();
                        UTIL.MsgE("배수입력 상태입니다 0은 허용되지 않습니다");
                        return;
                    }
                }
            }


            this.DialogResult = DialogResult.OK;
        }

        private void radInput_CheckedChanged(object sender, EventArgs e)
        {
            nudValue.Enabled = radInput.Checked;
            nudValuePMS.Enabled = nudValue.Enabled;
        }

        bool warnmulti = false;
        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBox1.Checked)
            {
                if (warnmulti == false)
                {
                    AR.UTIL.MsgI("요청시간에 입려한 값이 곱셈 처리 됩니다\n1.5를 입력하면 요청값*1.5가 됩니다");
                    warnmulti = true;
                }


            }

        }

        private void checkBox2_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBox2.Checked)
            {
                if (warnmulti == false)
                {
                    AR.UTIL.MsgI("요청시간에 입려한 값이 곱셈 처리 됩니다\n1.5를 입력하면 요청값*1.5가 됩니다");
                    warnmulti = true;
                }
            }
        }
    }
}
